- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vertica_info – Gathers Vertica database facts

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Gathers Vertica database information.

- This module was called `vertica_facts` before Ansible 2.9, returning `ansible_facts`. Note that the vertica_info module no longer returns `ansible_facts`!

Aliases: vertica_facts

## Requirements

The below requirements are needed on the host that executes this module.

- unixODBC

- pyodbc

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster - | Default: "localhost" | Name of the cluster running the schema.
db - |  | Name of the database running the schema.
login_password - |  | The password used to authenticate with.
login_user - | Default: "dbadmin" | The username used to authenticate with.
port - | Default: 5433 | Database port to connect to.

## Notes

Note

- The default authentication assumes that you are either logging in as or sudo’ing to the `dbadmin` account on the host.

- This module uses `pyodbc`, a Python ODBC database adapter. You must ensure that `unixODBC` and `pyodbc` is installed on the host and properly configured.

- Configuring `unixODBC` for Vertica requires `Driver = /opt/vertica/lib64/libverticaodbc.so` to be added to the `Vertica` section of either `/etc/odbcinst.ini` or `$HOME/.odbcinst.ini` and both `ErrorMessagesPath = /opt/vertica/lib64` and `DriverManagerEncoding = UTF-16` to be added to the `Driver` section of either `/etc/vertica.ini` or `$HOME/.vertica.ini`.

## Examples

    - name: gathering vertica facts
      vertica_info: db=db_name
      register: result

    - name: Print schemas
      debug:
        msg: "{{ result.vertica_schemas }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Dariusz Owczarek (@dareko)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.